@import 'variables';

:host {
  position: relative;
}

.app-wrapper {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-height: 100vh;
  height: 100vh;
}

header {
  background: $appBackground;
  height: 57px;
  min-height: 57px;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 0 22px;
  z-index: 100500;
  border-bottom: 1px solid $borderColor;

  .header-left, .header-middle, .header-right {
    display: flex;
    align-items: center;
  }
  .header-left {
    width: 33%;
    justify-content: flex-start;
    a {
      display: flex;
      align-items: center;
      justify-content: center;
      height: fit-content;
    }
  }
  .header-middle {
    width: 33%;
    justify-content: center;
    span {
      font-size: 20.5079px;
      font-weight: 600;
    }
  }
  .header-right {
    width: 33%;
    justify-content: flex-end;
    button {
      display: flex;
      background: transparent;
      border: none;
    }
    .profile {
      background: #F4F6F9;
      display: flex;
      padding: 8px 13px;
      align-items: center;
      height: 38px;
      border-radius: 9px;
      flex-wrap: nowrap;
      span {
        font-family: $FF_SSP;
        font-size: 1rem;
        color: $blueColor;
        white-space: nowrap;
      }
      picture {
        margin-left: 10px;
        width: 24px;
        height: 24px;
        overflow: hidden;
        border-radius: 50%;
      }
    }
  }
}

section.main-wrapper {
  height: fit-content;
  min-height: calc(100vh - 57px);
  display: flex;
  flex-direction: column;
  overflow-y: auto;
}

main {
  min-height: fit-content;
}


